| Version: 3.0.4

Public Member Functions | List of all members
wxStdOutputStream Class Reference
Class List by Category » Streams

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/stdstream.h>`

Inheritance diagram for wxStdOutputStream:
[legend]

## Detailed Description

wxStdOutputStream is a std::ostream derived stream which writes to a wxOutputStream.

Example:

wxFFileOutputStream file("out.txt.gz");
wxZlibOutputStream gzipOutput(file, -1, wxZLIB_GZIP);
wxStdOutputStream out(gzipOutput);
out << "Hello world!" << std::endl;

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxOutputStream, wxStdOutputStreamBuffer

## Public Member Functions
| wxStdOutputStream (wxOutputStream &stream)
| Creates a std::ostream derived stream which writes to a wxOutputStream. More...
virtual | ~wxStdOutputStream ()
| Destructor. More...

## Constructor & Destructor Documentation

## ◆ wxStdOutputStream()

wxStdOutputStream::wxStdOutputStream | ( | wxOutputStream & | stream | ) |

Creates a std::ostream derived stream which writes to a wxOutputStream.

Parameters

  stream | Stream to write to.

## ◆ ~wxStdOutputStream()

virtual wxStdOutputStream::~wxStdOutputStream | ( |  | ) |
| inline virtual

Destructor.